IsSqFree poorly implemented
Status: Closed Start date: 13 Jul 2023

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 2.88 hours

Target version: CoCoALib-0.99850 Spent time: 2.90 hours

Description

I think IsSqFree for integers is probably poorly implemented.

Investigate, and improve.

History

#1 - 13 Jul 2023 16:35 - John Abbott

Ahh!  I misread the code.  It is not as "stupid" as I thought, but it still needs improvement (for machine integers -- contains useless lines)

#2 - 23 Jul 2023 18:01 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Source code around NumTheory-factor.C:690

#3 - 25 Jul 2023 19:31 - John Abbott

- % Done changed from 10 to 90

I have improved the code.  It is also a bit faster (than 0.99818).

Will check in soon.

#4 - 23 Feb 2024 11:38 - John Abbott

- Status changed from In Progress to Closed

- Estimated time set to 2.88 h

#5 - 23 Feb 2024 11:39 - John Abbott

- % Done changed from 90 to 100
